% =============================================================================
%
% ExpAutoX.m CBPrice 24-10-15
%
% Octave test file for 3302 NL Curve Fitting
%
% Auto Fit of y = A*exp(B*x) + C from source file.
%
% =============================================================================

filename = input('Input filename'); %must add ' at start and end of name tuped.
delimiterIn = ',';
headerlinesIn = 0;
A = importdata(filename,delimiterIn,headerlinesIn); 

x = A(:,1);
y = A(:,2);

clf;

plot(x,y,'o');

modelfun = @(p,x) p(1)*exp(x.*p(2)) + p(3);

startingVals = [3.25,-1.25,1]; %Estimates for all parameters in the modelfun

[coefEsts,R,J] = nlinfit(x,y,modelfun,startingVals);
disp(' ');
disp('Estimated Coefficienst'); disp(coefEsts);

xgrid = linspace(0,4,100); %Start, end and nr of points. Refer to data
line(xgrid,modelfun(coefEsts,xgrid), 'Color','r');

disp(' ' );
disp('95% confidence intervals for parameters');
bci = nlparci(coefEsts,R,J);
disp(bci);

f = modelfun(coefEsts,x);

disp(' ' );
disp('rms error = ');
err = y - f;
err2 = err.^2;
mse = mean(err2);
rmse = sqrt(mse);
disp(rmse);

ssResid = sum(R.^2);
ssTotal = sum((y-mean(y)).^2);
r2 = 1 - (ssResid/ssTotal);
disp('  ');
disp('r2 value = '); disp(r2);