% =============================================================================
%
% PowManual.m CBPrice 24-10-15
%
% Octave test file for 3302 NL Curve Fitting
%
% Manual Fit of y = A/x^B from source file. eg y = 5 ./ (x .^2.3)
%
% =============================================================================

filename = input('Input filename'); %must add ' at start and end of name tuped.
delimiterIn = ',';
headerlinesIn = 0;
A = importdata(filename,delimiterIn,headerlinesIn); 

x = A(:,1);
y = A(:,2);
z = log(y);
xx = log(x);

% Plot the raw data
figure(1);
plot(x,y,'o');
% Plot the linearised data
figure(2);
plot(log(x),z,'o');

% get parameters from the user and plot the exponential curve on the data 
while (i < 10)

  A = input('Input parameter A');
  B = input('Input parameter B');
  yy = A ./ (x .^B);
  zz = log(A) - B*log(x);
  
  figure(1);
  plot(x,y,'o',x,yy,'r');
  figure(2);
  plot(log(x),z,'o',log(x),zz,'r');
  
endwhile


